##
##  flashpolicyd.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         flashpolicyd
Summary:      Adobe Flash Socket Policy Server
URL:          http://www.adobe.com/devnet/flashplayer/articles/socket_policy_files.html
Vendor:       Adobe
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      Open Source
Version:      20090917
Release:      20090919

#   list of sources
Source0:      flashpolicyd.pl
Source1:      flashpolicyd.xml
Source2:      rc.flashpolicyd

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, perl

%description
    This is a standalone Adobe Flash Policy Server.

%track
    prog flashpolicyd = {
        disabled
        version   = %{version}
        url       = http://www.openpkg.org/
        regex     = .*
    }

%prep
    %setup -q -T -c

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/etc/flashpolicyd \
        $RPM_BUILD_ROOT%{l_prefix}/var/flashpolicyd
    %{l_shtool} install -c -m 755 \
        -e 's;/usr/bin/env perl;%{l_prefix}/bin/perl;g' \
        %{SOURCE flashpolicyd.pl} $RPM_BUILD_ROOT%{l_prefix}/sbin/flashpolicyd
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rc.flashpolicyd} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_shtool} install -c -m 755 \
        %{SOURCE flashpolicyd.xml} $RPM_BUILD_ROOT%{l_prefix}/etc/flashpolicyd/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/flashpolicyd/*' \
        '%attr(-,%{l_nusr},%{l_ngrp}) %{l_prefix}/var/flashpolicyd'

%files -f files

%clean

%post
    if [ $1 -eq 2 ]; then
        #   after upgrade, restart service
        eval `%{l_rc} flashpolicyd status 2>/dev/null`
        [ ".$flashpolicyd_active" = .yes ] && %{l_rc} flashpolicyd restart
    fi
    exit 0

%preun
    #   before erase, stop service and remove log files
    if [ $1 -eq 0 ]; then
        %{l_rc} flashpolicyd stop 2>/dev/null
        rm -f  $RPM_INSTALL_PREFIX/var/flashpolicyd/* >/dev/null 2>&1 || true
    fi
    exit 0

